Get the embed code
curl --request GET \
--url https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/embed-code \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/embed-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/embed-code"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"recording_id": "x9y8z7w6v5u4t3s2",
"embed_url": "https://your-workspace.neetorecord.com/embeds/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"embed_html": "<iframe src=\"https://your-workspace.neetorecord.com/embeds/a1b2c3d4-e5f6-7890-abcd-ef1234567890\" width=\"100%\" height=\"480\" frameborder=\"0\" allowfullscreen></iframe>"
}{
"error": "You are not authorized to perform this action."
}{
"error": "Recording does not exist."
}Recordings
Get the embed code
Retrieves the iframe markup for embedding a recording in another page.
GET
/
recordings
/
{id}
/
embed-code
Get the embed code
curl --request GET \
--url https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/embed-code \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/embed-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetorecord.com/api/external/v2/recordings/{id}/embed-code"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"recording_id": "x9y8z7w6v5u4t3s2",
"embed_url": "https://your-workspace.neetorecord.com/embeds/a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"embed_html": "<iframe src=\"https://your-workspace.neetorecord.com/embeds/a1b2c3d4-e5f6-7890-abcd-ef1234567890\" width=\"100%\" height=\"480\" frameborder=\"0\" allowfullscreen></iframe>"
}{
"error": "You are not authorized to perform this action."
}{
"error": "Recording does not exist."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
API key. Refer to Authentication for more information.
Must be application/json.
Available options:
application/json Path Parameters
The recording's id (UUID) or its public_link_id (the short code in the watch URL). Both are accepted.